/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Jan 22 11:49:37 GMT 2001 by Tim Colgate
    copyright            : (C) 2001 Tim Colgate
    
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *

 ***************************************************************************/

#include <stdlib.h>

#include <qapplication.h>
#include <qwindowsstyle.h>
#include <qfont.h>

#include "db_browser.h"

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);

	char* p;
	p = getenv("SYBESQUE_FONTSIZE");
	int fontsize = p ? atoi(p) : 7;
	if (fontsize < 4) fontsize = 4;
	if (fontsize > 100) fontsize = 100;	// pretty stupid size

	p = getenv("SYBESQUE_FONTWEIGHT");
	int fontweight = p ? atoi(p) : 50;
	if (fontweight < 20) fontweight = 20;
	if (fontweight > 100) fontweight = 100;

	p = getenv("SYBESQUE_FONT");
	QApplication::setFont(QFont(p ? p : "helvetica", fontsize, fontweight));	// or clean, fixed

	/* uncomment the following line, if you want a Windows 95 look*/
	//QApplication::setStyle( new QWindowsStyle );

	DB_browser* db_browser = new DB_browser;
	a.setMainWidget(db_browser);

	db_browser->exec();
	return 0;
}
